"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _history = _interopRequireDefault(require("../modules/history"));

var _config = _interopRequireDefault(require("../config/config"));

var _dic = require("../json/dic");

var initState = {
  pathname: _history["default"].location.pathname,
  isTabRouter: _config["default"].isTabRouter
};
var _default = {
  namespace: _dic.Fields.globalNamespace,
  state: initState,
  effects: {
    fetch:
    /*#__PURE__*/
    _regenerator["default"].mark(function fetch(_ref, _ref2) {
      var payload, call, put;
      return _regenerator["default"].wrap(function fetch$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              payload = _ref.payload;
              call = _ref2.call, put = _ref2.put;
              _context.next = 4;
              return put({
                type: 'save'
              });

            case 4:
            case "end":
              return _context.stop();
          }
        }
      }, fetch);
    })
  },
  reducers: {},
  subscriptions: {
    listenPathname: function listenPathname(_ref3) {
      var history = _ref3.history,
          dispatch = _ref3.dispatch;
      history.listen(function (match) {
        dispatch({
          type: 'updateField',
          field: 'pathname',
          data: match.pathname
        });
      });
    }
  }
};
exports["default"] = _default;